summaryrefslogtreecommitdiff
path: root/tests/misc/kill.sh
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2015-12-13 18:15:07 +0000
committerPádraig Brady <P@draigBrady.com>2015-12-14 13:36:41 +0000
commitfc8e71997336b7119d0781278d2bdf91587af1ef (patch)
tree0423fdf09eda2e6112dcf264d94fc6788080d484 /tests/misc/kill.sh
parentc609cd960d5cc309fe32ab315efe8dde79504d14 (diff)
downloadcoreutils-fc8e71997336b7119d0781278d2bdf91587af1ef.tar.xz
tests: add tests for the kill command
* tests/misc/kill.sh: Add first tests for kill. * tests/local.mk: Reference the new test.
Diffstat (limited to 'tests/misc/kill.sh')
-rwxr-xr-xtests/misc/kill.sh51
1 files changed, 51 insertions, 0 deletions
diff --git a/tests/misc/kill.sh b/tests/misc/kill.sh
new file mode 100755
index 000000000..61f8498ab
--- /dev/null
+++ b/tests/misc/kill.sh
@@ -0,0 +1,51 @@
+#!/bin/sh
+# Validate kill operation
+
+# Copyright (C) 2015 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ kill
+
+# params required
+env kill && fail=1
+env kill -TERM && fail=1
+
+# Invalid combinations
+env kill -l -l && fail=1
+env kill -l -t && fail=1
+env kill -l -s 1 && fail=1
+env kill -t -s 1 && fail=1
+
+# signal sending
+env kill -0 no_pid && fail=1
+env kill -0 $$ || fail=1
+env kill -s0 $$ || fail=1
+env kill -n0 $$ || fail=1 # bash compat
+env kill -CONT $$ || fail=1
+env kill -Cont $$ || fail=1
+env kill -cont $$ && fail=1
+env kill -0 -1 || fail=1 # to group
+
+# table listing
+env kill -l || fail=1
+env kill -t || fail=1
+env kill -t TERM || fail=1
+
+# Verify name to signal number and vice versa
+SIGTERM=$(env kill -l TERM) || fail=1
+test $(env kill -l "$SIGTERM") = TERM || fail=1
+
+Exit $fail